Summary: The GNU Bourne Again shell (bash).
Name: bash
Version: 2.05.b
%define realversion 2.05b
Release: 13tr
Group: Trustix Official
License: GPL
Source0: ftp://ftp.gnu.org/gnu/bash/bash-%{realversion}.tar.gz
Source1: bashrc
Source2: ftp://ftp.gnu.org/gnu/bash/bash-doc-%{realversion}.tar.gz
Patch1: ftp://ftp.cwru.edu/pub/bash/bash-2.05b-patches/bash205b-001
Patch2: ftp://ftp.cwru.edu/pub/bash/bash-2.05b-patches/bash205b-002
Patch3: ftp://ftp.cwru.edu/pub/bash/bash-2.05b-patches/bash205b-003
Patch4: ftp://ftp.cwru.edu/pub/bash/bash-2.05b-patches/bash205b-004
Patch5: ftp://ftp.cwru.edu/pub/bash/bash-2.05b-patches/bash205b-005
Patch6: ftp://ftp.cwru.edu/pub/bash/bash-2.05b-patches/bash205b-006
Patch7: ftp://ftp.cwru.edu/pub/bash/bash-2.05b-patches/bash205b-007
Patch10: bash-2.03-paths.patch
Patch11: bash-2.03-profile.patch
Patch12: bash-2.05a-requires.patch
Patch13: bash-2.03-autoconf.patch
Patch14: bash-2.05a-noinfo.patch
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root
BuildRequires: perl
Provides: bash bash2
Prereq: setup

%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts can
be run by bash without modification. This package (bash) contains
bash version %{realversion}, which improves POSIX compliance over 
previous versions.

Documentation for bash version %{realversion} is contained in the 
bash2-doc package.

%package static
Group: Trustix Official
Summary: Static version of the GNU Bourne Again shell (bash).

%description static
The bash-static package contains a static version of the GNU Bourne
Again shell (bash).

%package doc
Group: Trustix Official
Summary: Documentation for the GNU Bourne Again shell (bash).

%description doc
The bash-doc package contains documentation for the GNU Bourne
Again shell.

%prep
%setup -q -n bash-%{realversion} -a 2
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p2
%patch6 -p2
%patch7 -p2
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
echo %{version} > _distribution
echo 0 > _patchlevel

%build
CFLAGS="$RPM_OPT_FLAGS -s -static" %configure
make
mv bash bash-static

CFLAGS="$RPM_OPT_FLAGS -s" %configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

# Clean up the mess
mkdir ${RPM_BUILD_ROOT}/etc
mkdir ${RPM_BUILD_ROOT}/bin
mkdir ${RPM_BUILD_ROOT}/sbin
install -m 644 $RPM_SOURCE_DIR/bashrc $RPM_BUILD_ROOT/etc/bashrc
mv ${RPM_BUILD_ROOT}%{_prefix}/bin/bash ${RPM_BUILD_ROOT}/bin || :
mv bash-static ${RPM_BUILD_ROOT}/sbin/bash
ln -sf bash.1 $RPM_BUILD_ROOT%{_datadir}/man/man1/sh.1
ln -sf bash $RPM_BUILD_ROOT/bin/sh

# Take out irritating ^H's from the documentation
perl -pi -e 's/.//g' doc/*

# make manpages for bash builtins as per suggestion in DOC/README
cd doc
sed -e '
/^\.SH NAME/, /\\- bash built-in commands, see \\fBbash\\fR(1)$/{
/^\.SH NAME/d
s/^bash, //
s/\\- bash built-in commands, see \\fBbash\\fR(1)$//
s/,//g
b
}
d
' builtins.1 > man.pages
install -m 644 builtins.1 ${RPM_BUILD_ROOT}%{_datadir}/man/man1/builtins.1

for i in `cat man.pages` ; do
  echo .so man1/builtins.1 > ${RPM_BUILD_ROOT}%{_datadir}/man/man1/$i.1
done

# Nuke the duplicates.
rm $RPM_BUILD_ROOT%{_mandir}/man1/echo.1*
rm $RPM_BUILD_ROOT%{_mandir}/man1/kill.1*
rm $RPM_BUILD_ROOT%{_mandir}/man1/printf.1*
rm $RPM_BUILD_ROOT%{_mandir}/man1/pwd.1*
rm $RPM_BUILD_ROOT%{_mandir}/man1/test.1*

# now turn man.pages into a filelist for the man subpackage
# Nuke the duplicates.
cat man.pages |tr -s ' ' '\n' |sed '
1,2d
1i\
%defattr(0644,root,root,0755)
s!^!%{_datadir}/man/man1/!
s/$/.1/
/echo.1$/d
/kill.1$/d
/pwd.1$/d
/test.1$/d
' | sed -e 's/$/*/' > ../man.pages

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
    echo "/bin/sh" > /etc/shells
    echo "/bin/bash" >> /etc/shells
else
    if ! grep '^/bin/sh$' /etc/shells > /dev/null; then
        echo "/bin/sh" >> /etc/shells
    fi
    if ! grep '^/bin/bash$' /etc/shells > /dev/null; then
        echo "/bin/bash" >> /etc/shells
    fi
fi

%postun
if [ "$1" = 0 ]; then
    grep -v '^/bin/bash' < /etc/shells > /etc/shells.new
    mv /etc/shells.new /etc/shells
    grep -v '^/bin/sh' < /etc/shells > /etc/shells.new
    mv /etc/shells.new /etc/shells
fi

%files
%defattr(-,root,root)
%doc CHANGES COMPAT NEWS NOTES README AUTHORS POSIX
%doc doc/FAQ doc/INTRO doc/article.ms
%doc examples/bashdb/ examples/functions/ examples/misc/
%doc examples/scripts.noah/ examples/scripts.v2/ examples/scripts/
%doc examples/startup-files/
/bin/sh
/bin/bash
/etc/bashrc
%{_datadir}/man/man1/*
%{_prefix}/bin/bashbug

%files static
%defattr(-,root,root)
/sbin/bash

%files doc
%doc doc/*.html doc/*.txt
%doc doc/*.ps

%changelog
* Wed Feb 11 2004 Oystein Viggen <oysteivi at trustix dot org> 2.05.b-11tr
- Changed which and ls default aliases a bit

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 2.05.b-10tr
- Added mkcd function.

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 2.05.b-9tr
- Rebuilt.

* Fri Sep 12 2003 Goetz Bock <bock at trustix dot org> 2.05.b-8bg
- removed bash-completions, it was never packed :-/, but is in contrib now

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.05.b-7tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.05.b-6tr
- Big rebuild

* Fri Jun 13 2003 Chr. Toldnes <christht at trustix dot com> 2.05.b-5ct
- minor fix in bashrc

* Thu May  8 2003 Erlend Midttun <erlendbm at trustix dot com> 2.05.b-4em
- Apply the latest official patches to see if they fix the autologout bug.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.05.b-3em
- Rebuilt with glibc 2.3.2.

* Mon Nov  4 2002 Erlend Midttun <erlendbm at trustix dot com> 2.05.b-2em
- Added alias rm and md again.

* Sun Oct 20 2002 Goetz Bock <bock at trustix dot org> 2.05.b-1bg
- new upstream 2.05b
- cleaned up the spec
- added bash-completion
- updated bashrc

* Thu Aug 29 2002 Christian H. Toldnes <christht at trustix dot com> 2.05.a-4ct
- Patched away the info stuff: (Patch 7)

* Thu Jul 11 2002 Erlend Midttun <erlendbm at trustix dot com> 2.05.a-3em
- Split /sbin/bash into a separate package.

* Thu May 30 2002 Christian H. Toldnes <christht at trustix dot com>
- Rebuild with -2ct tag

* Mon Jan 28 2002 Erlend Midttun <erlendbm at trustix dot com>
- Updated to version 2.05a.

* Tue Oct 31 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed duplicate man pages.

* Mon Feb  7 2000 Tore Olsen <toreo at trustix dot com>
- use group root, not man

* Thu Feb  3 2000 Erlend Midttun <erlendbm at trustix dot com>
- Moved man and info pages (FHS)
- Changed bash2 into bash
- Updated bashrc to have more aliases
- Added static bash for root shell

* Thu Dec  2 1999 Ken Estes <kestes@staff.mail.com>
- updated patch to detect what executables are required by a script.

* Fri Sep 14 1999 Dale Lovelace <dale@redhat.com>
- Remove annoying ^H's from documentation

* Fri Jul 16 1999 Ken Estes <kestes@staff.mail.com>
- patch to detect what executables are required by a script.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include bash-doc correctly.

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- fixed post/postun /etc/shells work.

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated again text in the spec file

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 2.03.

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- build it as bash2 instead of bash

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- set 'NON_INTERACTIVE_LOGIN_SHELLS' so profile gets read

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- rename man pages in bash-doc to avoid packaging conflicts (#606).

* Wed Dec 02 1998 Cristian Gafton <gafton@redhat.com>
- patch for the arm
- use $RPM_ARCH-redhat-linux as the build target

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- rewrite %pre, axe %postun (to avoid prereq loops)

* Wed Aug 19 1998 Jeff Johnson <jbj@redhat.com>
- resurrect for RH 6.0.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.02.1

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Package for 5.2.

* Mon Apr 20 1998 Ian Macdonald <ianmacd@xs4all.nl>
- added POSIX.NOTES doc file
- some extraneous doc files removed
- minor .spec file changes

* Sun Apr 19 1998 Ian Macdonald <ianmacd@xs4all.nl>
- upgraded to version 2.02
- Alpha, MIPS & Sparc patches removed due to lack of test platforms
- glibc & signal patches no longer required
- added documentation subpackage (doc)

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>
- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
